#ifndef	_device_reply_server_
#define	_device_reply_server_

/* Module device_reply */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <device/device_types.h>
#include <device/net_status.h>

/* SimpleRoutine device_open_reply */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t _S_device_open_reply
#if	defined(LINTLIBRARY)
    (reply_port, return_code, device_port)
	mach_port_t reply_port;
	kern_return_t return_code;
	mach_port_t device_port;
{ return _S_device_open_reply(reply_port, return_code, device_port); }
#else
(
	mach_port_t reply_port,
	kern_return_t return_code,
	mach_port_t device_port
);
#endif

/* SimpleRoutine device_write_reply */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t _S_device_write_reply
#if	defined(LINTLIBRARY)
    (reply_port, return_code, bytes_written)
	mach_port_t reply_port;
	kern_return_t return_code;
	int bytes_written;
{ return _S_device_write_reply(reply_port, return_code, bytes_written); }
#else
(
	mach_port_t reply_port,
	kern_return_t return_code,
	int bytes_written
);
#endif

/* SimpleRoutine device_write_reply_inband */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t _S_device_write_reply_inband
#if	defined(LINTLIBRARY)
    (reply_port, return_code, bytes_written)
	mach_port_t reply_port;
	kern_return_t return_code;
	int bytes_written;
{ return _S_device_write_reply_inband(reply_port, return_code, bytes_written); }
#else
(
	mach_port_t reply_port,
	kern_return_t return_code,
	int bytes_written
);
#endif

/* SimpleRoutine device_read_reply */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t _S_device_read_reply
#if	defined(LINTLIBRARY)
    (reply_port, return_code, data, dataCnt)
	mach_port_t reply_port;
	kern_return_t return_code;
	io_buf_ptr_t data;
	mach_msg_type_number_t dataCnt;
{ return _S_device_read_reply(reply_port, return_code, data, dataCnt); }
#else
(
	mach_port_t reply_port,
	kern_return_t return_code,
	io_buf_ptr_t data,
	mach_msg_type_number_t dataCnt
);
#endif

/* SimpleRoutine device_read_reply_inband */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t _S_device_read_reply_inband
#if	defined(LINTLIBRARY)
    (reply_port, return_code, data, dataCnt)
	mach_port_t reply_port;
	kern_return_t return_code;
	io_buf_ptr_inband_t data;
	mach_msg_type_number_t dataCnt;
{ return _S_device_read_reply_inband(reply_port, return_code, data, dataCnt); }
#else
(
	mach_port_t reply_port,
	kern_return_t return_code,
	io_buf_ptr_inband_t data,
	mach_msg_type_number_t dataCnt
);
#endif

#endif	/* not defined(_device_reply_server_) */
